Package org.flowable.bpmn.model

# Class Signal

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.Signal

All Implemented Interfaces:
  `HasExtensionAttributes`

public class Signal extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `name`
  `protected String`
  `scope`
  `static final String`
  `SCOPE_GLOBAL`
  `static final String`
  `SCOPE_PROCESS_INSTANCE`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Signal()`
  `Signal(String id, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Signal`
  `clone()`
  `String`
  `getName()`
  `String`
  `getScope()`
  `void`
  `setName(String name)`
  `void`
  `setScope(String scope)`
  `void`
  `setValues(Signal otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SCOPE_GLOBAL

    public static final String SCOPE_GLOBAL
    See Also:
      - Constant Field Values

  - ### SCOPE_PROCESS_INSTANCE

    public static final String SCOPE_PROCESS_INSTANCE
    See Also:
      - Constant Field Values

  - ### name

    protected String name

  - ### scope

    protected String scope

- ## Constructor Details

  - ### Signal

    public Signal()

  - ### Signal

    public Signal(String id, String name)

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getScope

    public String getScope()

  - ### setScope

    public void setScope(String scope)

  - ### clone

    public Signal clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(Signal otherElement)